%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		d-feet
Version:	0.3.8
Release:	%mkrel 2
Summary:	D-Feet is a D-Bus debugger
License:	GPLv2+
Group:		Development/Other
URL:		http://fedorahosted.org/d-feet/
Source0:	https://download.gnome.org/sources/d-feet/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	python-setuptools
BuildRequires:	python-pep8
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.6
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	intltool
Requires:	python-dbus
Requires:	python-gi

%description
D-Feet is a D-Bus debugger written in PyGtk by John (J5) Palmieri.
It allows :
* to view names on any bus,
* to view exported objects, interfaces, methods and signals,
* to view the full command line of services on the bus,
* and to execute methods with parameters on the bus and see their 
 return values.

%prep
%setup -q

%build
%configure2_5x

%install
%makeinstall_std

#fix desktop file
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{python_sitelib}/*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_iconsdir}/HighContrast/*/apps/*.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Sat Nov 02 2013 fwang <fwang> 0.3.8-2.mga4
+ Revision: 548861
- add requires on python-gi

* Mon Oct 21 2013 ovitters <ovitters> 0.3.8-1.mga4
+ Revision: 538002
- new version 0.3.8

* Mon Oct 21 2013 umeabot <umeabot> 0.3.7-2.mga4
+ Revision: 537072
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 ovitters <ovitters> 0.3.7-1.mga4
+ Revision: 486223
- new version 0.3.7

* Sun Jul 28 2013 ovitters <ovitters> 0.3.6-1.mga4
+ Revision: 459290
- new version 0.3.6

* Wed Jun 26 2013 dams <dams> 0.3.5-1.mga4
+ Revision: 446688
- update BR

  + ovitters <ovitters>
    - new version 0.3.5

* Fri May 24 2013 ovitters <ovitters> 0.3.4-1.mga4
+ Revision: 426602
- br intltool
- br libxml2-utils
- br itstool
- ensure buildrequires are really buildrequires, not just a require
- br glib-2.0
- update file list
- requires gtk+3.0, python-pep8
- new version 0.3.4

* Fri Jan 11 2013 umeabot <umeabot> 0.1.15-2.mga3
+ Revision: 348533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 0.1.15-1.mga3
+ Revision: 306785
- new version 0.1.15
- add url_ver rpm macro

* Sun Feb 26 2012 mitya <mitya> 0.1.14-3.mga2
+ Revision: 215409
- imported package d-feet

